%define name		uqm
%define Name		Ur-Quan Masters
%define summary		The Ur-Quan Masters
%define version		0.3
%define release		2mdk
%define archive		%{name}-%{version}-source

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		Games/Strategy
URL:		http://sc2.sourceforge.net
Source0:	%{archive}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Requires:	%{name}-data
BuildRequires:	SDL-devel >= 1.2.3
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libMesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Ur-Quan Masters is a port of the 3DO version of Star Control 2.

%prep
%setup -q 
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
# fix OpenGL configuration
perl -pi -e 's|LIB_opengl_LDFLAGS="-lGL"|LIB_opengl_LDFLAGS="-L/usr/X11R6/lib -lGL"|' build/unix/config_proginfo
# fix paths and compilation flags
perl -pi -e 's|INPUT_install_bindir_DEFAULT.*|INPUT_install_bindir_DEFAULT=%{_gamesbindir}|; \
			 s|INPUT_install_libdir_DEFAULT.*|INPUT_install_libdir_DEFAULT=%{_libdir}|; \
			 s|INPUT_install_sharedir_DEFAULT.*|INPUT_install_sharedir_DEFAULT=%{_gamesdatadir}| ; \
             s|^(CHOICE_debug_DEFAULT=).*$|${1}nodebug| ; \
             s|\bCFLAGS="\$CFLAGS -O3"$|CFLAGS="\$CFLAGS \$RPM_OPT_FLAGS"|' \
 build/unix/build.config
#perl -pi -e 's|/usr/local/games|%{_prefix}/games| ;
#             s|\$prefix/bin|%{_gamesbindir}| ;
#             s|^(CHOICE_debug_DEFAULT=).*$|${1}nodebug| ;
#             s|\bCFLAGS="\$CFLAGS -O3"$|CFLAGS="\$CFLAGS \$RPM_OPT_FLAGS"|' \
# build/unix/build.config

%build
./build.sh uqm < /dev/null

%install
rm -rf $RPM_BUILD_ROOT
perl -pi -e 's|%{_prefix}|\$RPM_BUILD_ROOT%{_prefix}|' build.vars
./build.sh uqm install

# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{name}" \
	needs="X11" \
	section="Amusement/Strategy" \
	icon="%{name}.png" \
	title="%{Name}" \
	longtitle="%{summary}"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING TODO doc/users/manual.txt
%{_gamesbindir}/%{name}
%{_libdir}/%{name}
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 0.3-2mdk
- BuildRequires ( libMesaGLU-devel )

* Thu Sep 25 2003 Michael Scherer <scherer.michael@free.fr> 0.3-1mdk
- 0.3 alpha
- drop patch0
 
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1-2mdk
- rebuild

* Mon Dec 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1-1mdk
- initial mdk package, based on Ville Skytt <ville.skytta at iki.fi> work
